if(FlexBar2:HasModule("TextSubs")) then
	local TextSubs = FlexBar2:GetModule("TextSubs");
	-- Text subs --
	TextSubs:RegisterTextSub("cd", function(Button)
		-- Get the cooldown currently on the button
		local StartTime = Button.CooldownStart;
		local Duration = Button.CooldownDuration;
		local Enable = Button.CooldownEnable;
		if(StartTime and StartTime > 0 and Duration > 0 and Enable > 0) then
			local TimeLeft = floor(Duration - GetTime() + StartTime + 0.5);
			-- Timer smaller than 0 or 0
			if(TimeLeft <= 0 or Duration <= 1.5) then			
				return "";
				-- Timer smaller than 1 min
			elseif(TimeLeft < 60) then
				return TimeLeft .. "s";
				-- Timer between 1 to 10 mins
			elseif(TimeLeft < 600) then
				local SecondsLeft = tostring((TimeLeft % 60));
				if(#SecondsLeft == 1) then
					SecondsLeft = "0" .. SecondsLeft;
				end
				return floor(TimeLeft/60) .. ":" .. SecondsLeft;
				-- Timer bigger then 10 mins
			else
				return floor(TimeLeft/60) .. "m";
			end
		end
		return "";
	end);

	TextSubs:RegisterTextSub("itemcount", function(Button, Item)
		-- No item given, find out what item is on this button instead
		if(Item == "") then
			local ItemLink = Button:GetModifiedAttribute("type") == "item" and Button:GetModifiedAttribute("itemlink");
			if(ItemLink) then
				return GetItemCount(ItemLink or "") or "";
			end
			-- Item was given, ez-mode
		else
			return GetItemCount(Item or "") or "";
		end
		-- Fallback
		return "";
	end);
end
