-- SlashCommands --

-- /fb settext command
local function SlashCommand_SetText(Params)
	local ButtonTable = FlexBar2:ToButtonTable(Params.button);
	local Field = tonumber(Params.field);
	local Text = Params.text;
	local ButtonList = FlexBar2.Buttons;
	for _, ButtonName in ipairs(ButtonTable) do
		local Button = ButtonList[ButtonName];
		Button.InfoTable.TextSubs[Field] = Text;
		Button:SetTextField(Field, Text);
	end
end

local SlashCommands = FlexBar2.SlashCommands;
-- Localize this neat verify function for faster access
local VerifyExistance = FlexBar2.SlashCommands.VerifyExistance;
-- AddCommand format :AddCommand(Command, Function, Group, Help)
-- AddParam format :AddParam(Command, Param, Required, AllowedValues, DefaultValue, VerifyFunc) 
-- everything here should be self explainative knowing the syntax
SlashCommands:AddCommand("settext", SlashCommand_SetText, "text", "button=<Button> field=<1-5> text=<text>");
SlashCommands:SetAlias("settext", "text");
	SlashCommands:AddParam("settext", "button", true, nil, nil, VerifyExistance);
	SlashCommands:AddParam("settext", "field", true, {"1", "2", "3", "4", "5"}, nil, nil);
	SlashCommands:AddParam("settext", "text", true, nil, nil, nil);
